@import '../../../../public/assets/styles/variables';

.round-button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 69px;
    height: 69px;
    background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
    box-shadow: 10px 10px 50px rgba(130, 130, 130, 0.23), inset 14px 14px 15px #FFFFFF, inset -9px -14px 15px #E1E1E1;
    border-radius: 72px;
    border: 0;
    outline: 0;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 300;
    font-size: 30px;
    line-height: 1;
    text-align: center;
    letter-spacing: 0.01em;
    color: $accent-color;
    cursor: pointer;
    @media (max-width: 1366px) {
        width: 48px;
        height: 48px;
        font-size: 26px;
    }
    &__first-inner {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 51px;
        height: 51px;
        background: linear-gradient(144.08deg, #F5F5F5 13.9%, #F3F3F3 87.34%);
        box-shadow: inset 1px 1px 2px rgba(0, 0, 0, 0.15);
        border-radius: 48px;
        @media (max-width: 1366px) {
            width: 35px;
            height: 35px;
        }
    }
    &__second-inner {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 47px;
        height: 47px;
        background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
        box-shadow: 1px 1px 2px rgba(130, 130, 130, 0.46), inset 14px 14px 15px #FFFFFF, inset -9px -14px 15px #E1E1E1;
        border-radius: 72px;
        @media (max-width: 1366px) {
            width: 31px;
            height: 31px;
        }
    }
    &__text {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    &:hover &__first-inner {
        background: $accent-color-light;
        box-shadow: inset 1px 1px 2px rgba(0, 0, 0, 0.15);
    }
    &:active &__first-inner {
        background: #EEEEEE;
        box-shadow: inset 1px 1px 2px rgba(0, 0, 0, 0.15);
    }
    &:active &__second-inner {
        background: transparent;
        box-shadow: none;
    }
}